<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bootstrap</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper d-flex">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper bg-light border-right">
        <h1 class="sidebar-heading">Time tracker</h1>
        {% assign activeUser = users | where: "id", options.activeUser | first %}
        <div class="sidebar-user bg-light text-primary">{{ activeUser.name }}</div>
        <div class="list-group list-group-flush">
          <a href="index.html" class="list-group-item list-group-item-action bg-light text-primary">
            <i class="fas fa-tachometer-alt"></i>
            Dashboard
          </a>
          <a href="time.html" class="list-group-item list-group-item-action bg-light">
            <i class="far fa-clock"></i>
            Time tracking
          </a>
          <a href="projects.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-project-diagram"></i>
            Projects
          </a>
          <a href="clients.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-star"></i>
            Clients
          </a>
          <a href="teams.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users-cog"></i>
            Teams
          </a>
          <a href="users.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users"></i>
            Users
          </a>
          <a href="settings.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-cogs"></i>
            Settings
          </a>
        </div>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
          <button class="btn btn-light border" id="js-open-nav">
            <span class="navbar-toggler-icon"></span>
          </button>

          <ul class="nav navbar-nav navbar-right ml-auto mt-2 mt-lg-0">
            <li class="nav-item active">
              <a class="nav-link" href="#" id="js-logout">Log out</a>
            </li>
          </ul>              
        </nav>
  
        <!-- START Content -->
        <div class="container-fluid">

          <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
            <h2 class="h2">Dashboard</h2>
            <div class="btn-toolbar mb-2 mb-md-0">
              <div class="btn-group mr-2">
                <a href="../index.html" class="btn btn-sm btn-outline-secondary border">Change framework</a>
                <button type="button" class="btn btn-sm btn-outline-secondary border" id="js-load-data">Reset data</button>
              </div>
            </div>
          </div>
    
    
          <div class="row">
    
            <div class="col-12 col-md-6">
              <h3>My tracker</h3>
    
              {% assign filteredEntries = entries | where: "userId", activeUser.id %}
              {% for entry in filteredEntries %}
                {% assign entryProject = projects | where: "id", entry.projectId | first %}
                {% if entryProject.active == 1 %}
                <div class="card bg-light mt-3">
                  <div class="card-body">
                    <h5 class="card-title mb-1">{{ entry.desc }}</h5>
                    <p class="card-text">
                      <small class="text-muted">
                        Project: {{ entryProject.name }}<br>
                        <span class="mr-2 text-nowrap"><i class="far fa-clock"></i> {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})</span>
                        <span class="text-nowrap"><i class="far fa-calendar-alt"></i> {{ entry.startTime | date: "%d.%m.%Y" }}</span>
                      </small>
                    </p>    
                  </div>
                </div>
                {% endif %}
              {% endfor %}
    


              <div class="mt-3">
                <a href="time.html" class="btn btn-lg btn-primary"><i class="fas fa-plus"></i> Go to tracker</a>
              </div>
    
            </div>
    
    
            <div class="col-12 col-md-6 mt-4 mt-md-0">
              <h3>My tasks</h3>
    
              {% assign filteredTasks = tasks | where: "userId", activeUser.id %}
              {% for task in filteredTasks %}
                {% assign taskProject = projects | where: "id", task.projectId | first %}
                {% if taskProject.active == 1 %}
                {% if task.status == 0 %}
                <div class="card bg-light mt-3">
                  <div class="card-body">
                    <div class="row align-items-center no-gutters">
                      <div class="col">
                        <h5 class="card-title mb-1 text-info">{{ task.name }}</h5>
                        
                        <p class="card-text"><small class="text-muted">Project: {{ taskProject.name }}</small></p>
                      </div>
                      <div class="col-auto">
                        <a href="detail.html?project={{ taskProject.id }}" class="btn btn-info"><i class="far fa-eye"></i></a>
                        <button type="button" class="btn btn-success" data-finish-task="{{ task.id }}"><i class="fas fa-check"></i></button>
                      </div>
                    </div>
                  </div>
                </div>
                {% endif %}
                {% endif %}
              {% endfor %}
    
            </div>
          </div>
        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>